Subject: RE: DHCP option tags for SIP

From: "Glenn Morrow" <[email-masked]>
Date: Mon, 21 Feb 2000 13:22:34 -0600

While much of the free router code and some early commercial implementations
only allow for local interfaces for multicast addresses, many new commercial
implementations offer more route type options for these addresses. 

The local route concern is not an issue for commercial implementations and
there are also ways to scale in an n to n fashion using any type of address
(multicast, anycast or even unicast). 

These methods are needed to account for maintenance and other service
disruptions, as well.

Thank You

Glenn

> -----Original Message-----
> From:	Henning Schulzrinne [SMTP:[email-masked]]
> Sent:	Monday, February 21, 2000 12:50 PM
> To:	Sean Olson
> Cc:	[email-masked]
> Subject:	Re: DHCP option tags for SIP
> 
> Sean Olson wrote:
> > 
> > > > Glenn Morrow wrote:
> > > >
> > > > Why can't the downloaded UAS, by bootp or other means, simply have
> the
> > > > configured proxy address? The configuration can be changed later
> with
> > > > SIP signaling without reboot for the in-service cases.
> > >
> > 
> > Hey, we could even use a multicast/broadcast SIP OPTIONS request to
> query
> > local SIP servers and part of the response could be the parameters
> people
> > have been discussing like first SIP proxy hop. There are a lot of
> > possibilities here. I haven't seen a good argument against simply
> including
> > the SIP proxy as a DHCP option yet. If you are allowing for BOOTP, it's
> a
> > short step to go to DHCP and if you allow DHCP then why not exploit its
> > capabilities? I see the advantage of SLP over DHCP, but its clearly
> overkill
> > for a simple SIP phone especially if you need to implement DHCP anyways.
> 
> While I agree that multicast is a nice mechanism for some
> autoconfig/discovery, the problem is that in many cases the outbound
> proxy server may not be part of the local network. I don't think, for
> example, that you'd want to have all 20,000 phones at Columbia send out
> multicast requests, with all other phones having to listen to them,
> particularly if they happen to reboot at roughly the same time, as after
> a power outage.
> 
> Otherwise, we seem to be in agreement...
> 
> -- 
> Henning Schulzrinne   http://www.cs.columbia.edu/~hgs
>

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 21 Feb 2000 14:44:19 -0500

> Glenn Morrow wrote:
> 
> While much of the free router code and some early commercial
> implementations only allow for local interfaces for multicast
> addresses, many new commercial implementations offer more route type
> options for these addresses.

I'm not concerned about availability of multicast, but its scalability
in the current setup. Inherently, the SIP multicast model implies that
every device has to listen to all multicast packets, which just doesn't
scale beyond a fairly small region. In my view, outbound proxy server
often cover a larger region.

> 
> The local route concern is not an issue for commercial implementations
> and there are also ways to scale in an n to n fashion using any type
> of address (multicast, anycast or even unicast).

I'm afraid I lost you somewhere in this sentence.